> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1messagesource



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.FIDS.Connector//swagger/v1/swagger.json get /api/v1/messagesource
openapi: 3.0.0
info:
  title: NDS.Services.FIDS.Connector
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.FIDS.Connector/
security: []
paths:
  /api/v1/messagesource:
    get:
      tags:
        - MessageSource
      operationId: MessageSource_GetMessageSources
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMessageSourcesResult'
components:
  schemas:
    GetMessageSourcesResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            MessageSources:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/GetMessageSource'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    GetMessageSource:
      type: object
      additionalProperties: false
      required:
        - Name
      properties:
        Id:
          type: string
          nullable: true
        Name:
          type: string
          maxLength: 50
          minLength: 1
        Description:
          type: string
          maxLength: 256
          nullable: true
        Type:
          type: string
          nullable: true
        HostName:
          type: string
          maxLength: 50
          nullable: true
        Port:
          type: integer
        Channel:
          type: string
          maxLength: 50
          nullable: true
        QueueManager:
          type: string
          maxLength: 50
          nullable: true
        QueueName:
          type: string
          maxLength: 50
          nullable: true
        AuthenticationType:
          type: string
          nullable: true
        UserName:
          type: string
          maxLength: 50
          nullable: true
        HasPassword:
          type: boolean
        Online:
          type: boolean
        OfflineReason:
          type: string
          nullable: true
        Parsers:
          type: array
          items:
            $ref: '#/components/schemas/GetMessageParser'
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    GetMessageParser:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
        ScriptType:
          type: string
          nullable: true
        ParseMethod:
          type: string
          nullable: true
        Handlers:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/GetMessageHandler'
    GetMessageHandler:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
        ScriptType:
          type: string
          nullable: true
        MessageType:
          type: string
          nullable: true
        HandlerMethod:
          type: string
          nullable: true

````